## lua-torch-sundown 0~20161027

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.6 FATAL_ERROR)
CMAKE_POLICY(VERSION 2.6)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR}/src)
SET(src 
	${CMAKE_CURRENT_SOURCE_DIR}/src/autolink.c 
	${CMAKE_CURRENT_SOURCE_DIR}/src/buffer.c 
	${CMAKE_CURRENT_SOURCE_DIR}/src/markdown.c 
	${CMAKE_CURRENT_SOURCE_DIR}/src/stack.c 
	${CMAKE_CURRENT_SOURCE_DIR}/html/houdini_href_e.c 
	${CMAKE_CURRENT_SOURCE_DIR}/html/houdini_html_e.c 
	${CMAKE_CURRENT_SOURCE_DIR}/html/html.c 
	${CMAKE_CURRENT_SOURCE_DIR}/html/html_smartypants.c)
SET(luasrc 
	   ${CMAKE_CURRENT_SOURCE_DIR}/env.lua 
	   ${CMAKE_CURRENT_SOURCE_DIR}/init.lua 
	   ${CMAKE_CURRENT_SOURCE_DIR}/sdcdefs.lua 
	   ${CMAKE_CURRENT_SOURCE_DIR}/htmlcdefs.lua 
	   ${CMAKE_CURRENT_SOURCE_DIR}/html.lua 
	   ${CMAKE_CURRENT_SOURCE_DIR}/ascii.lua)

ADD_LIBRARY("sundown" MODULE ${src})
SET_TARGET_PROPERTIES("sundown" PROPERTIES
  PREFIX "lib"
  IMPORT_PREFIX "lib")

IF(APPLE)
  SET_TARGET_PROPERTIES("sundown" PROPERTIES
    LINK_FLAGS "-undefined dynamic_lookup")
ENDIF()

INSTALL(FILES ${luasrc} DESTINATION ${LUADIR}/sundown)
INSTALL(TARGETS sundown
  LIBRARY DESTINATION ${LIBDIR}
  RUNTIME DESTINATION ${LIBDIR})

IF(LUALIB)
  TARGET_LINK_LIBRARIES(sundown ${LUALIB})
ENDIF()

## lua-torch-sundown 0~20160829-g17ea705

=== debian/changelog ===
lua-torch-sundown (0~20160829-g17ea705-1) unstable; urgency=medium

  * Import new upstream snapshot.
  * Add autopkgtest support.
  * Add runtime dependency luajit as B-D.
  * Drop unused B-D cmake.
  * Depends on "luajit" instead of "lua5.1 | luajit" -- lua5.1 lacks
    ffi functionality so that it doesn't work with this package currently.

 -- Zhou Mo <cdluminate@gmail.com>  Sat, 15 Oct 2016 10:23:13 +0000

lua-torch-sundown (0~20160713-g8353f5a-1) unstable; urgency=low

  * Initial release. Closes: #827430

 -- Zhou Mo <cdluminate@gmail.com>  Fri, 12 Aug 2016 14:55:13 +0000

=== debian/control ===
Source: lua-torch-sundown
Section: interpreters
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Zhou Mo <cdluminate@gmail.com>
Build-Depends: debhelper (>=9),
 dh-lua,
# luajit is needed for autopkgtest
 luajit,
Standards-Version: 3.9.8
Homepage: https://github.com/torch/sundown-ffi
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/lua-torch-sundown.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/lua-torch-sundown.git

Package: lua-torch-sundown
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}, luajit,
XB-Lua-Versions: ${lua:Versions}
Description: Sundown Library (a Markdown implementation) for Torch Framework
 This is a LuaJIT interface to the Sundown library (a Markdown implementation).
 .
 To render into HTML, the easiest is to use the provided `renderHTML()`
 function (aliased to `render()`), which interfaces Sundown renderer with
 Houdini HTML default renderer.
 .
 This package also provides an extra renderer `renderASCII()` which outputs
 pretty colored ASCII for Markdown pages.

## lua-torch-sundown 0~20161027-g4324669

=== debian/changelog ===
lua-torch-sundown (0~20161027-g4324669-1) unstable; urgency=medium

  * Import snapshot.
  * Bump debhelper compat to 10.
  * Bump Standards-Version to 4.0.0 (requires no change).

 -- Zhou Mo <cdluminate@gmail.com>  Fri, 28 Jul 2017 09:27:55 +0000

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Zhou Mo <cdluminate@gmail.com>
-Build-Depends: debhelper (>=9),
+Build-Depends: debhelper (>=10),
  dh-lua,
 # luajit is needed for autopkgtest
  luajit,
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://github.com/torch/sundown-ffi
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/lua-torch-sundown.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/lua-torch-sundown.git

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS= hardening=+all

%:
	dh $@ --buildsystem=lua --with lua

override_dh_auto_configure:
	ln -s . sundown
	dh_auto_configure

override_dh_auto_clean:
	-$(RM) -rf 5.1-torch-sundown debian/trash sundown
	dh_auto_clean

=== debian/tests/control ===
Tests: lua.require

Tests: test.sundown.renderascii

Tests: test.sundown.renderhtml
